# CEGUI::SubscriberInterface< Ret, Args > Class Template Reference

The base class for the various binders. This provides a consistent interface for firing functions bound to an event. More...

Inheritance diagram for CEGUI::SubscriberInterface< Ret, Args >:

[legend]
List of all members.

## Public Member Functions

virtual Ret | operator() (Args) const =0

## Detailed Description

### template<typename Ret, typename Args>
class CEGUI::SubscriberInterface< Ret, Args >

The base class for the various binders. This provides a consistent interface for firing functions bound to an event.